%% This is an -*- erlang -*- file.
%%
%% %CopyrightBegin%
%%
%% Copyright Ericsson AB 2010. All Rights Reserved.
%%
%% The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved online at http://www.erlang.org/.
%%
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%%
%% %CopyrightEnd%

{application, wx,
 [{description, "Yet another graphics system"},
  {vsn, "1.0"},
  {modules,
   [
    %% Generated modules
  wxAuiNotebookEvent, wxGLCanvas, wxAcceleratorEntry, wxStaticBoxSizer, wxSashEvent, wxUpdateUIEvent, wxIcon, wxBitmapButton, wxImage, wxGraphicsContext, wxPreviewFrame, wxCheckListBox, wxColourData, wxFileDialog, wxFlexGridSizer, wxPrintDialogData, wxTopLevelWindow, wxAuiNotebook, wxMouseCaptureChangedEvent, wxChoicebook, wxSystemOptions, wxGridCellFloatRenderer, wxListView, wxWindowDC, wxColourDialog, wxStatusBar, wxEraseEvent, wxXmlResource, wxTaskBarIconEvent, wxGraphicsObject, wxPrintout, wxSysColourChangedEvent, wxGridCellRenderer, wxListCtrl, wxGraphicsMatrix, wxBitmap, wxQueryNewPaletteEvent, wxCalendarCtrl, wxSizerItem, wxPasswordEntryDialog, wxFrame, wxNavigationKeyEvent, wxGraphicsRenderer, wxGridCellBoolRenderer, wxTextEntryDialog, wxIdleEvent, wxStyledTextCtrl, wxChoice, wxListItem, wxSpinCtrl, wxMDIClientWindow, wxMDIChildFrame, wxStdDialogButtonSizer, wxPrintPreview, wxPrintData, wxDirPickerCtrl, wxKeyEvent, wxEvent, wxRadioBox, wxCalendarDateAttr, wxGridCellEditor, wxPalette, wxTreebook, wxLogNull, wxWindow, wxTreeEvent, wxSpinEvent, wxFontPickerEvent, wxAuiTabArt, wxRegion, wxClientDC, wxSpinButton, wxPageSetupDialog, wxSashLayoutWindow, wxGridEvent, wxGridCellStringRenderer, wxPreviewCanvas, wxTextAttr, wxScrollWinEvent, wxAuiDockArt, wxWindowDestroyEvent, wxSetCursorEvent, wxFontDialog, wxMirrorDC, wxControl, wxToggleButton, wxGraphicsFont, wxStaticText, wxIconizeEvent, wxJoystickEvent, wxPrinter, wxStaticBitmap, wxGridBagSizer, wxGridSizer, wxScrollEvent, wx_misc, wxWindowCreateEvent, wxGridCellFloatEditor, wxStyledTextEvent, wxMoveEvent, wxPrintDialog, wxBufferedDC, wxRadioButton, wxMaximizeEvent, wxDateEvent, wxCalendarEvent, wxGauge, wxGridCellTextEditor, wxDataObject, wxShowEvent, wxBitmapDataObject, wxFindReplaceDialog, wxTextDataObject, wxGridCellChoiceEditor, wxMiniFrame, wxDisplayChangedEvent, wxListEvent, wxCursor, wxDialog, wxBrush, wxPaintDC, wxScreenDC, wxStaticBox, wxChildFocusEvent, wxColourPickerCtrl, wxFilePickerCtrl, wxPostScriptDC, wxGrid, wxScrolledWindow, wxSizerFlags, wxMask, wxFontData, wxSplitterEvent, wxScrollBar, wxMenuEvent, wxCheckBox, wxPaletteChangedEvent, wxIconBundle, wxListItemAttr, wxAuiManager, wxFileDirPickerEvent, wxBoxSizer, wxClipboard, wxMouseEvent, wxMenu, wxAuiPaneInfo, wxPaintEvent, wxSplitterWindow, wxProgressDialog, wxGridCellNumberEditor, wxListBox, wxNotebookEvent, wxColourPickerEvent, wxMenuItem, wxMessageDialog, wxButton, wxMenuBar, wxToolBar, wxGraphicsPen, wxGridCellNumberRenderer, wxArtProvider, wxHtmlEasyPrinting, wxBufferedPaintDC, wxFindReplaceData, wxAuiManagerEvent, wxEvtHandler, wxHtmlLinkEvent, wxContextMenuEvent, wxLayoutAlgorithm, wxGridCellBoolEditor, wxMultiChoiceDialog, wxTaskBarIcon, wxSizeEvent, wxHtmlWindow, wxComboBox, wxCommandEvent, wxGraphicsPath, wxSashWindow, wxDatePickerCtrl, wxFocusEvent, wxListbook, wxImageList, wxNotifyEvent, wxToolTip, wxSlider, wxPanel, wxSizer, wxSingleChoiceDialog, wxPageSetupDialogData, wxGBSizerItem, wxPen, wxPickerBase, wxSplashScreen, wxToolbook, wxGridCellAttr, wxFontPickerCtrl, wxTextCtrl, wxCloseEvent, wxNotebook, wxAcceleratorTable, wxDC, wxMemoryDC, wxCaret, wxGraphicsBrush, wxFileDataObject, wxDirDialog, wxMDIParentFrame, wxPreviewControlBar, wxHelpEvent, wxStaticLine, wxGenericDirCtrl, wxTreeCtrl, wxFont, wxControlWithItems, wxSystemSettings, glu, gl,
    %% Handcrafted modules
    wx,
    wx_object,
    wxe_master,
    wxe_server,
    wxe_util
   ]},
  {registered, []},
  {applications, [stdlib, kernel]},
  {env, []}
 ]}.
